// testZNET100Dlg.h : header file
//

#if !defined(AFX_TESTZNET100DLG_H__96EA9F89_5EC1_422C_8F67_71F91678627E__INCLUDED_)
#define AFX_TESTZNET100DLG_H__96EA9F89_5EC1_422C_8F67_71F91678627E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTestZNET100Dlg dialog

class CTestZNET100Dlg : public CDialog
{
// Construction
public:
	CTestZNET100Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTestZNET100Dlg)
	enum { IDD = IDD_TESTZNET100_DIALOG };
	CComboBox	m_ctlComboStopBits;
	CComboBox	m_ctlComboDataBits;
	CComboBox	m_ctlComboCheckBits;
	CComboBox	m_ctlComboBaud;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestZNET100Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestZNET100Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButton1();
	afx_msg void OnDestroy();
	virtual void OnOK();
	afx_msg void OnButtonSpecifysearch();
	afx_msg void OnButtonGetdevinfo();
	afx_msg void OnButtonChgdevinfo();
	afx_msg void OnButtonChgzne();
	afx_msg void OnButtonGetiostat();
	afx_msg void OnButtonSetiostat();
	afx_msg void OnButtonResetdev();
	afx_msg void OnButtonGetadc();
	afx_msg void OnButtonResettcp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTZNET100DLG_H__96EA9F89_5EC1_422C_8F67_71F91678627E__INCLUDED_)
